# ----- General -------------------------------------------------------------
DEBUG=off

# ----- Usage ---------------------------------------------------------------
usage:
	@type <<

Usage:

zmake dos16      (16 bit DOS with Pharlap)
zmake dos16b     (16 bit DOS with Blinker)
zmake dos32      (32 bit DOS)
zmake win16      (16 bit Windows)
zmake win32      (32 bit Windows)
zmake win32dll   (32 bit Windows dll)
zmake vxworks    (vxWorks)
<<

# ----- Clean ---------------------------------------------------------------
clean:
	z_clean

# ----- Platforms -----------------------------------------------------------
dos16: table116.exe table216.exe table316.exe table416.exe table516.exe

dos16b: table11b.exe table21b.exe table31b.exe table41b.exe table51b.exe

dos32: table132.exe table232.exe table332.exe table432.exe table532.exe

win16: wtabl116.exe wtabl216.exe wtabl316.exe wtabl416.exe wtabl516.exe

win32: wtabl132.exe wtabl232.exe wtabl332.exe wtabl432.exe wtabl532.exe

win32dll: wtable1.exe wtable2.exe wtable3.exe wtable4.exe wtable5.exe

vxworks: vtable1.o vtable2.o vtable3.o vtable4.o vtable5.o

# ----- Targets -------------------------------------------------------------

!if "$(ZINC_COMPILER)" == "borland"
D16_DEFINITION_FILE=b16.def
!endif

# ----- pharlap -------------------------------------------------------------
TARGET_TYPE=EXE
PLATFORM=DOS16
DEFINITION_FILE=$(D16_DEFINITION_FILE)

#
# Build options for table116.exe
#
TARGET=table116.exe
SOURCE_FILES=table1.cpp data.cpp
!include <zaf.mak>

#
# Build options for table216.exe
#
TARGET=table216.exe
SOURCE_FILES=table2.cpp data.cpp
!include <zaf.mak>

#
# Build options for table316.exe
#
TARGET=table316.exe
SOURCE_FILES=table3.cpp data.cpp
!include <zaf.mak>

#
# Build options for table416.exe
#
TARGET=table416.exe
SOURCE_FILES=table4.cpp data.cpp
!include <zaf.mak>

#
# Build options for table516.exe
#
TARGET=table516.exe
SOURCE_FILES=table5.cpp p_table5.cpp
!include <zaf.mak>

# ----- blinker -------------------------------------------------------------
TARGET_TYPE=EXE
PLATFORM=DOS16B
DEFINITION_FILE=

#
# Build options for table11b.exe
#
TARGET=table11b.exe
SOURCE_FILES=table1.cpp data.cpp
!include <zaf.mak>

#
# Build options for table21b.exe
#
TARGET=table21b.exe
SOURCE_FILES=table2.cpp data.cpp
!include <zaf.mak>

#
# Build options for table31b.exe
#
TARGET=table31b.exe
SOURCE_FILES=table3.cpp data.cpp
!include <zaf.mak>

#
# Build options for table41b.exe
#
TARGET=table41b.exe
SOURCE_FILES=table4.cpp data.cpp
!include <zaf.mak>

#
# Build options for table51b.exe
#
TARGET=table51b.exe
SOURCE_FILES=table5.cpp p_table5.cpp
!include <zaf.mak>

#
# Build options for table132.exe
#
TARGET=table132.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
SOURCE_FILES=table1.cpp data.cpp
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for table232.exe
#
TARGET=table232.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
SOURCE_FILES=table2.cpp data.cpp
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for table332.exe
#
TARGET=table332.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
SOURCE_FILES=table3.cpp data.cpp
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for table432.exe
#
TARGET=table432.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
SOURCE_FILES=table4.cpp data.cpp
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for table532.exe
#
TARGET=table532.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
SOURCE_FILES=table5.cpp p_table5.cpp
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wtabl116.exe
#
TARGET=wtabl116.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=table1.cpp data.cpp
DEFINITION_FILE=wtable16.def
!include <zaf.mak>

#
# Build options for wtabl216.exe
#
TARGET=wtabl216.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=table2.cpp data.cpp
DEFINITION_FILE=wtable16.def
!include <zaf.mak>

#
# Build options for wtabl316.exe
#
TARGET=wtabl316.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=table3.cpp data.cpp
DEFINITION_FILE=wtable16.def
!include <zaf.mak>

#
# Build options for wtabl416.exe
#
TARGET=wtabl416.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=table4.cpp data.cpp
DEFINITION_FILE=wtable16.def
!include <zaf.mak>

#
# Build options for wtabl516.exe
#
TARGET=wtabl516.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=table5.cpp p_table5.cpp
DEFINITION_FILE=wtable16.def
!include <zaf.mak>

#
# Build options for wtabl132.exe
#
TARGET=wtabl132.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=table1.cpp data.cpp
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wtabl232.exe
#
TARGET=wtabl232.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=table2.cpp data.cpp
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wtabl332.exe
#
TARGET=wtabl332.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=table3.cpp data.cpp
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wtabl432.exe
#
TARGET=wtabl432.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=table4.cpp data.cpp
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wtabl532.exe
#
TARGET=wtabl532.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=table5.cpp p_table5.cpp
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wtable1.exe
#
TARGET=wtable1.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=table1.cpp data.cpp
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wtable2.exe
#
TARGET=wtable2.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=table2.cpp data.cpp
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wtable3.exe
#
TARGET=wtable3.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=table3.cpp data.cpp
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wtable4.exe
#
TARGET=wtable4.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=table4.cpp data.cpp
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wtable5.exe
#
TARGET=wtable5.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=table5.cpp p_table5.cpp
DEFINITION_FILE=
!include <zaf.mak>

# ----- VxWorks -------------------------------------------------------------

ADD_COMPILE_OPTS=-DZAF_VXW_APP_NAME=vtable

#
# Build options for vtable1.o
#
TARGET=vtable1.o
TARGET_TYPE=exe
PLATFORM=vxworks
SOURCE_FILES=table1.cpp data.cpp v_app.cpp
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for vtable2.o
#
TARGET=vtable2.o
TARGET_TYPE=exe
PLATFORM=vxworks
SOURCE_FILES=table2.cpp data.cpp v_app.cpp
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for vtable3.o
#
TARGET=vtable3.o
TARGET_TYPE=exe
PLATFORM=vxworks
SOURCE_FILES=table3.cpp data.cpp v_app.cpp
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for vtable4.o
#
TARGET=vtable4.o
TARGET_TYPE=exe
PLATFORM=vxworks
SOURCE_FILES=table4.cpp data.cpp v_app.cpp
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for vtable5.o
#
TARGET=vtable5.o
TARGET_TYPE=exe
PLATFORM=vxworks
SOURCE_FILES=table5.cpp p_table5.cpp v_app.cpp
DEFINITION_FILE=
!include <zaf.mak>
